package com.dasberg.guice;

import com.google.inject.BindingAnnotation;

import java.lang.annotation.*;

/**
 * Constructor annotation which is used by the GuiceAutoregFilter to
 * discover and register all Guice modules.
 * @author mischa
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.CLASS)
@BindingAnnotation
public @interface Module {
}
