package com.dasberg.guice;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Constructor annotation which will be used by the
 * DependencyOnConstructionInjector aspect to automatically inject
 * all dependencies.
 * @author mischa 
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.CONSTRUCTOR})
public @interface InjectDependencies {
}
